Export a threat report for a protection group S3 asset
Exports the specified threat report for a protection group S3 asset.
- application/json
Request Body required
source object required
The parameters to specify how to generate the threat report for protection group S3 asset. Must set exactly one of the options.
backup_time_range object
The parameters to generate the report of malicious objects detected within backup time range.
end_timestamp stringThe end timestamp of searching time range in RFC-3339 format. Clumio backup time until the given time inclusive. If not provided, defaults to the latest backup time.
s3_asset_id string requiredClumio-assigned ID of protection group S3 asset, representing the bucket within the protection group to generate report from. Use the GET /datasources/protection-groups/s3-assets endpoint to fetch valid values.
start_timestamp stringThe start timestamp of searching time range in RFC-3339 format. Clumio backup time since the given time inclusive. If not provided, defaults to the earliest backup time.
protection_group_backup object
The parameters to specify s3 asset backup by protection group and s3 asset id.
protection_group_backup_id stringThe Clumio-assigned ID of the protection group backup. Use the GET /backups/protection-groups endpoint to fetch valid values.
s3_asset_id string requiredClumio-assigned ID of protection group S3 asset, representing the bucket within the protection group to generate report from. Use the GET /datasources/protection-groups/s3-assets endpoint to fetch valid values.
s3_asset_backup_id stringOption to generate threat report using S3AssetBackupID. This is an Clumio-assigned ID of the protection group S3 asset backup. Use the GET /backups/protection-groups/s3-assets endpoint to fetch valid values.
threat_scan_task object
The parameters to generate the report of malicious objects detected in a specific threat scan task.
s3_asset_id string requiredClumio-assigned ID of protection group S3 asset, representing the bucket within the protection group to generate report from. Use the GET /datasources/protection-groups/s3-assets endpoint to fetch valid values.
task_id int64 requiredThe task ID assigned to the backup or regular threat scan where malicious objects were detected.
target object required
The parameters for which S3 bucket to export the threat report to.
bucket_id string requiredThe Clumio-assigned ID of the bucket where the report is exported to Use the GET /datasources/aws/s3-buckets endpoint to fetch valid values.
environment_id string requiredThe Clumio-assigned ID of the AWS environment to be used as the export destination. Use the GET /datasources/aws/s3-buckets/{bucket_id} endpoint to fetch the environment ID for a bucket.
prefix stringPrefix to export the objects under. The final destination would be
s3://<bucket_name>/<prefix>/<bucket_name>/malware_report_<YYYY-MM-DD-hh-mm-ss>.csvstorage_class stringPossible values: [
S3 Standard,S3 Standard-IA,S3 Intelligent-Tiering,S3 One Zone-IA]Storage class for exported objects. Valid values are:
S3 Standard,S3 Standard-IA,S3 Intelligent-TieringandS3 One Zone-IA.
Default isS3 Standard.
- 202
- default
Success
- application/api.clumio.backup-protection-groups=v1+json
- Schema
- Example (from schema)
Schema
- task_id string
The Clumio-assigned ID of the task created by this request. The progress of the task can be monitored using the
GET /tasks/{task_id}endpoint.
{
"task_id": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}